Module tdlight.api
Package it.tdlight.jni

# Class TdApi.InlineKeyboardButtonTypeSwitchInline

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.InlineKeyboardButtonType
it.tdlight.jni.TdApi.InlineKeyboardButtonTypeSwitchInline

Enclosing class:
  TdApi

public static final class TdApi.InlineKeyboardButtonTypeSwitchInline extends TdApi.InlineKeyboardButtonType
A button that forces an inline query to the bot to be inserted in the input field.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`String`
`query`
Inline query to be sent to the bot.
`TdApi.TargetChat`
`targetChat`
Target chat from which to send the inline query.

## Constructor Summary

Constructors
Constructor
Description
`InlineKeyboardButtonTypeSwitchInline()`
A button that forces an inline query to the bot to be inserted in the input field.
`InlineKeyboardButtonTypeSwitchInline(DataInput input)`
A button that forces an inline query to the bot to be inserted in the input field.
`InlineKeyboardButtonTypeSwitchInline(String query, TdApi.TargetChat targetChat)`
A button that forces an inline query to the bot to be inserted in the input field.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### query

public String query
Inline query to be sent to the bot.

### targetChat

public TdApi.TargetChat targetChat
Target chat from which to send the inline query.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### InlineKeyboardButtonTypeSwitchInline

public InlineKeyboardButtonTypeSwitchInline()
A button that forces an inline query to the bot to be inserted in the input field.

### InlineKeyboardButtonTypeSwitchInline

public InlineKeyboardButtonTypeSwitchInline(String query, TdApi.TargetChat targetChat)
A button that forces an inline query to the bot to be inserted in the input field.

Parameters:
  `query` - Inline query to be sent to the bot.
  `targetChat` - Target chat from which to send the inline query.

### InlineKeyboardButtonTypeSwitchInline

public InlineKeyboardButtonTypeSwitchInline(DataInput input) throws IOException
A button that forces an inline query to the bot to be inserted in the input field.

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`